cordova.define("com.sf.cordova.navigation.SFNavigation", function(require, exports, module) { var exec = require('cordova/exec');
               
function SFNavigation() {
}

SFNavigation.prototype.setTitle = function (title) {
    exec(null, null, "SFNavigation", "setTitle", [title]);
};

SFNavigation.prototype.setRightButton = function (title, imagePath ,onClick) {
    exec(onClick, null, "SFNavigation", "setRightButton", [title, imagePath]);
};

SFNavigation.prototype.setLeftButton = function (onClick) {
    exec(onClick, null, "SFNavigation", "setLeftButton", []);
};

SFNavigation.prototype.setNavigationBarHidden = function (hidden, animate) {
    exec(backButtonCallback, null, "SFNavigation", "setNavigationBarHidden", [hidden, animate]);
};

SFNavigation.prototype.popToRoot = function (animate) {
    exec(null, null, "SFNavigation", "popToRoot", [animate]);
};

SFNavigation.prototype.pop = function (animate) {
    exec(null, null, "SFNavigation", "pop", [animate]);
};

SFNavigation.prototype.popToIdentifier = function (identifier ,property) {
    exec(null, null, "SFNavigation", "popToIdentifier", [identifier, property]);
};

SFNavigation.prototype.disablePullRefresh = function (identifier ,property) {
    exec(null, null, "SFNavigation", "disablePullRefresh", [identifier, property]);
};


module.exports = new SFNavigation();
});
